## slony1-2 2.2.1

=== debian/changelog ===
slony1-2 (2.2.1-1~9.git0086bfe.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-slony1-2-source-distribution=sid-9,
    git revision 0086bfe17b3bbbb1eeb4e0ec7c5efdaeeb60f48a)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 31 Dec 2013 18:08:49 +0100

slony1-2 (2.2.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Dropped patches:
    + 05_includedir-order.patch: Does not apply anymore.
    + logging.patch: Removed.
    + slon_start_pidfile.patch: Does its own pidfile handling now; adjust init
      script accordingly.
  * build-backend-separately.patch, debian/rules: slony1_funcs.so now contains
    a version number.
  * logshipping_ref-manvolnum: Fix manvolnum.
  * Update watch file to also include main page so it can see new branches.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Dec 2013 16:46:56 +0200
