=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.4
Homepage: http://slony.info/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends: logrotate ${logrotate:version}, postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: ${module:Recommends}, libdbd-pg-perl, ntp | openntpd | chrony
Suggests: slony1-2-doc, libpg-perl
Provides: slony1-bin
Conflicts: slony1-bin
Breaks: ${logrotate:breaks}
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: slony1-doc
Conflicts: slony1-doc
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-8.4-slony1-2
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-8.4-slony1
Conflicts: postgresql-8.4-slony1
Description: replication system for PostgreSQL: PostgreSQL 8.4 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 8.4 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.0-slony1-2
Architecture: any
Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.0-slony1
Conflicts: postgresql-9.0-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.0 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.0 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.1-slony1-2
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.1-slony1
Conflicts: postgresql-9.1-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.1 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.1 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.2-slony1-2
Architecture: any
Depends: postgresql-9.2, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.2-slony1
Conflicts: postgresql-9.2-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.2 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.2 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.3-slony1-2
Architecture: any
Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.3-slony1
Conflicts: postgresql-9.3-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.3 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.3 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.
