## slony1-2 2.2.3

=== debian/changelog ===
slony1-2 (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Jul 2014 14:14:38 +0200

slony1-2 (2.2.2-2) experimental; urgency=medium

  * B-D on pg-common 158 to build against 9.3 and 9.4.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 23:28:37 +0200

slony1-2 (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches:
    + 05_includedir-order.patch: Does not apply anymore.
    + logging.patch: Removed.
    + slon_start_pidfile.patch: Does its own pidfile handling now; adjust init
      script accordingly.
  * build-backend-separately.patch, debian/rules: slony1_funcs.so now contains
    a version number.
  * logshipping_ref-manvolnum: Fix manvolnum.
  * Update watch file to also include main page so it can see new branches.
  * Set team as maintainer.
  * Bump to dh 9.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 26 May 2014 17:19:43 +0200
