=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	rm -f $(altperl_scripts:%=debian/%.1)
 	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done
 	rm -f tests/random_number tests/random_string
+	rm -f 'doc/adminguide/slony_logshipping.<1' # bogus file in 2.2.0
 
 override_dh_auto_install:
 	+dh_auto_install
@@ -65,7 +66,7 @@
 endif
 
 override_dh_installdocs:
-	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl HTML\.index Makefile)
+	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl gitignore HTML\.index Makefile)
 
 override_dh_compress:
 	dh_compress -X\.pl -X\.sh
