=== debian/changelog ===
slony1-2 (2.2.4-3) unstable; urgency=medium

  * Upload 9.5 to unstable.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 21:18:24 +0100

slony1-2 (2.2.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2015 21:17:20 +0200

slony1-2 (2.2.4-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Use autotools-dev to update config.{sub,guess} for new arches. Thanks
    Logan Rosen. (Closes: #751722)

  [ Christoph Berg ]
  * New upstream release.
  * debian/rules: Reverse the list of supported versions to have the default
    version first in module:Recommends. (Closes: #773754)
  * Remove build date from html docs to make binary builds reproducible.
  * debian/slony1-2-bin.slony1.init: Now really remove --pidfile option.
    (Closes: #767640)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 03 Feb 2015 11:12:02 +0100
