=== debian/tests/control ===
Depends: @, postgresql, postgresql-server-dev-all
Tests: runtests
Restrictions: needs-root
