=== debian/watch ===
version=3
# main page for all branches
opts=uversionmangle=s/-rc/~rc/ \
http://www.slony.info/ .*/slony1-([0-9.]+).tar.bz2  debian  uupdate
# list of all 2.2 tarballs
opts=uversionmangle=s/-rc/~rc/ \
http://www.slony.info/downloads/2.2/source/slony1-([0-9.]+).tar.bz2  debian  uupdate
