=== debian/changelog ===
slony1-2 (2.2.5-2) unstable; urgency=medium

  * Team upload for 9.6 support.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 22:39:40 +0200

slony1-2 (2.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Add myself to uploaders.
  * B-D on libjpeg-turbo-progs as alternative to libjpeg-progs
    (Closes: 813396).

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 08 Jul 2016 21:55:00 +0200
