=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: autotools-dev, bison, debhelper (>= 9), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
-Standards-Version: 3.9.6
+Uploaders: Christoph Berg <myon@debian.org>,
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Build-Depends: autotools-dev, bison, debhelper (>= 9), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-turbo-progs | libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
+Standards-Version: 3.9.8
 Homepage: http://slony.info/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
@@ -40,20 +41,20 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
-Package: postgresql-9.5-slony1-2
+Package: postgresql-9.6-slony1-2
 Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
 Suggests: slony1-2-bin
-Provides: postgresql-9.5-slony1
-Conflicts: postgresql-9.5-slony1
-Description: replication system for PostgreSQL: PostgreSQL 9.5 server plug-in
+Provides: postgresql-9.6-slony1
+Conflicts: postgresql-9.6-slony1
+Description: replication system for PostgreSQL: PostgreSQL 9.6 server plug-in
  Slony-I is an asynchronous master-to-multiple-slaves replication system
  for PostgreSQL with cascading and slave promotion.
  .
  This package contains the support functions that are loaded into the
  PostgreSQL database server.  It needs to be installed on the hosts where
  the database server nodes are running.  This package works with version
- 9.5 of the PostgreSQL server; you need the package that corresponds to
+ 9.6 of the PostgreSQL server; you need the package that corresponds to
  the version of your database server.
  .
  The actual replication daemon and the administration tools are in the
