=== debian/changelog ===
slony1-2 (2.2.6-1) unstable; urgency=medium

  * Team upload for PostgreSQL 10.
  * New upstream version.
  * Recommend time-daemon as an alternative to ntp, patch by Vincent Blut,
    merci! Closes: #852650.
  * Depend on lsb-base, thanks lintian.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 15:02:53 +0200
