=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 SRCDIR = $(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
-supported_versions := $(shell pg_buildext supported-versions $(CURDIR))
+# reverse the list of supported versions to have the default version first in module:Recommends
+supported_versions := $(shell pg_buildext supported-versions | tac)
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 clean: debian/control prep
 .PHONY: debian/control
