## slony1-2 2.2.7

=== debian/changelog ===
slony1-2 (2.2.7-2.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 13 Oct 2018 22:55:02 +0200

slony1-2 (2.2.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * debian/source/format: Remove bzip2 compression.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:55:02 +0200

slony1-2 (2.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.
  * Remove autotools_dev from dh calls.
  * Remove compat code for pre-3.8 logrotate versions.
  * Mark slony1-2-doc as M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Aug 2018 21:47:46 +0200
