=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: slony1-2
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
- autotools-dev,
  bison,
- debhelper (>= 9),
+ debhelper (>= 9.20160114),
  docbook (>= 4.2),
  docbook-dsssl,
  docbook-utils,
@@ -19,22 +18,21 @@
  groff,
  libjpeg-turbo-progs | libjpeg-progs,
  libpq-dev,
- logrotate,
  netpbm,
  openjade,
  opensp,
  postgresql-server-dev-all (>= 148~),
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0
 Homepage: http://slony.info/
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
+Vcs-Git: https://salsa.debian.org/postgresql/slony1-2.git
+Vcs-Browser: https://salsa.debian.org/postgresql/slony1-2
 XS-Testsuite: autopkgtest
 
 Package: slony1-2-bin
 Architecture: any
 Depends:
  lsb-base (>= 3.0-6),
- logrotate ${logrotate:version},
+ logrotate,
  postgresql-common,
  ${misc:Depends},
  ${perl:Depends},
@@ -50,8 +48,6 @@
  slony1-bin,
 Conflicts:
  slony1-bin,
-Breaks:
- ${logrotate:breaks},
 Description: replication system for PostgreSQL: daemon and administration tools
  Slony-I is an asynchronous master-to-multiple-slaves replication system
  for PostgreSQL with cascading and slave promotion.
@@ -64,6 +60,7 @@
 Package: slony1-2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Provides:
@@ -77,6 +74,110 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
+Package: postgresql-9.3-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.3,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.3-slony1,
+Conflicts:
+ postgresql-9.3-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.3 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.3 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.4-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.4,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.4-slony1,
+Conflicts:
+ postgresql-9.4-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.4 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.4 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.5-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.5,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.5-slony1,
+Conflicts:
+ postgresql-9.5-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.5 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.5 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.6-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.6,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.6-slony1,
+Conflicts:
+ postgresql-9.6-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.6 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.6 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
 Package: postgresql-10-slony1-2
 Architecture: any
 Depends:
@@ -103,3 +204,29 @@
  package slony1-2-bin.  This package is useless without slony1-2-bin installed
  somewhere in the network.
 
+Package: postgresql-11-slony1-2
+Architecture: any
+Depends:
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-11-slony1,
+Conflicts:
+ postgresql-11-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 11 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 11 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
